petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagGetDOF

get number of DOF associated with each stratum of the grid

### Synopsis

    PetscErrorCode DMStagGetDOF(DM dm,PetscInt *dof0,PetscInt *dof1,PetscInt *dof2,PetscInt *dof3)

Not Collective

### Input Parameter

dm -the DMStag object

### Output Parameters

| dof0 | - the number of points per 0-cell (vertex/node)
| dof1 | - the number of points per 1-cell (element in 1D, edge in 2D and 3D)
| dof2 | - the number of points per 2-cell (element in 2D, face in 3D)
| dof3 | - the number of points per 3-cell (element in 3D)

### See Also

DMSTAG, DMStagGetCorners(), DMStagGetGhostCorners(), DMStagGetGlobalSizes(), DMStagGetStencilWidth(), DMStagGetBoundaryTypes(), DMStagGetLocationDof(), DMDAGetDof()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages